osmium::handler::DynamicHandler Class Reference

`#include <dynamic_handler.hpp>`

Inheritance diagram for osmium::handler::DynamicHandler:
[legend]
Collaboration diagram for osmium::handler::DynamicHandler:
[legend]

## Public Member Functions

| DynamicHandler ()
template<typename THandler , typename... TArgs>
void | set (TArgs &&...args)
void | node (const osmium::Node &node)
void | way (const osmium::Way &way)
void | relation (const osmium::Relation &relation)
void | area (const osmium::Area &area)
void | changeset (const osmium::Changeset &changeset)
void | flush ()
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const
void | node (const osmium::Node &) const
void | way (const osmium::Way &) const
void | relation (const osmium::Relation &) const
void | area (const osmium::Area &) const
void | changeset (const osmium::Changeset &) const
void | tag_list (const osmium::TagList &) const
void | way_node_list (const osmium::WayNodeList &) const
void | relation_member_list (const osmium::RelationMemberList &) const
void | outer_ring (const osmium::OuterRing &) const
void | inner_ring (const osmium::InnerRing &) const
void | changeset_discussion (const osmium::ChangesetDiscussion &) const
void | flush () const

## Private Types

typedef std::unique_ptr< osmium::handler::detail::HandlerWrapperBase > | impl_ptr

## Private Attributes

impl_ptr | m_impl

## Member Typedef Documentation

typedef std::unique_ptr<osmium::handler::detail::HandlerWrapperBase> osmium::handler::DynamicHandler::impl_ptr

private

## Constructor & Destructor Documentation

osmium::handler::DynamicHandler::DynamicHandler | ( |  | ) |

inline

## Member Function Documentation

void osmium::handler::DynamicHandler::area | ( | const osmium::Area & | area | ) |

inline

void osmium::handler::DynamicHandler::changeset | ( | const osmium::Changeset & | changeset | ) |

inline

void osmium::handler::DynamicHandler::flush | ( |  | ) |

inline

void osmium::handler::DynamicHandler::node | ( | const osmium::Node & | node | ) |

inline

void osmium::handler::DynamicHandler::relation | ( | const osmium::Relation & | relation | ) |

inline

template<typename THandler , typename... TArgs>

void osmium::handler::DynamicHandler::set | ( | TArgs &&... | args | ) |

inline

void osmium::handler::DynamicHandler::way | ( | const osmium::Way & | way | ) |

inline

## Member Data Documentation

impl_ptr osmium::handler::DynamicHandler::m_impl

private

The documentation for this class was generated from the following file:

- osmium/dynamic_handler.hpp